{"openapi":"3.0.3","info":{"title":"","description":"","version":"1.0.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/api\/admin_works":{"get":{"operationId":"getAdminWorkCollection","tags":["AdminWork"],"responses":{"200":{"description":"AdminWork collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}}}}}},"summary":"List of AdminWork","description":"Retrieves the collection of AdminWork resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"adminWorkDate[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"adminWorkDate[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"adminWorkDate[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"adminWorkDate[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[adminWorkDate]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"adminwork_createAdminWorkCollection","tags":["AdminWork"],"responses":{"201":{"description":"AdminWork resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}}},"links":{"GetAdminWorkItem":{"operationId":"getAdminWorkItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/admin_works\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Create AdminWork","description":"Creates a AdminWork resource.","parameters":[],"requestBody":{"description":"The new AdminWork resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/admin_works\/{id}":{"get":{"operationId":"getAdminWorkItem","tags":["AdminWork"],"responses":{"200":{"description":"AdminWork resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a AdminWork resource.","description":"Retrieves a AdminWork resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putAdminWorkItem","tags":["AdminWork"],"responses":{"200":{"description":"AdminWork resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}}},"links":{"GetAdminWorkItem":{"operationId":"getAdminWorkItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/admin_works\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Update AdminWork","description":"Replaces the AdminWork resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AdminWork resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AdminWork-adminwork.read"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteAdminWorkItem","tags":["AdminWork"],"responses":{"204":{"description":"AdminWork resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the AdminWork resource.","description":"Removes the AdminWork resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/agency_infos":{"get":{"operationId":"getAgencyInfoCollection","tags":["AgencyInfo"],"responses":{"200":{"description":"AgencyInfo collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AgencyInfo"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AgencyInfo"}}}}}},"summary":"Retrieves the collection of AgencyInfo resources.","description":"Retrieves the collection of AgencyInfo resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/agency_infos\/logo-doc":{"post":{"operationId":"update_logo_docAgencyInfoItem","tags":["AgencyInfo"],"responses":{"201":{"description":"AgencyInfo resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo-agency.logo.upload.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo-agency.logo.upload.read"}}},"links":{"GetAgencyInfoItem":{"operationId":"getAgencyInfoItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/agency_infos\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Update Logo Doc","description":"Creates a AgencyInfo resource.","parameters":[{"name":"id","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"number"},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"multipart\/form-data":{"schema":{"type":"object","properties":{"logoDocFile":{"type":"string","format":"binary"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/agency_infos\/{id}":{"get":{"operationId":"getAgencyInfoItem","tags":["AgencyInfo"],"responses":{"200":{"description":"AgencyInfo resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a AgencyInfo resource.","description":"Retrieves a AgencyInfo resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putAgencyInfoItem","tags":["AgencyInfo"],"responses":{"200":{"description":"AgencyInfo resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo"}}},"links":{"GetAgencyInfoItem":{"operationId":"getAgencyInfoItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/agency_infos\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Replaces the AgencyInfo resource.","description":"Replaces the AgencyInfo resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AgencyInfo resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AgencyInfo"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/band":{"get":{"operationId":"api_get_bandBandCollection","tags":["Band"],"responses":{"200":{"description":"Band collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Band"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Band"}}}}}},"summary":"Retrieves the collection of Band resources.","description":"Retrieves the collection of Band resources.","parameters":[],"deprecated":false},"parameters":[]},"\/api\/bonuses":{"get":{"operationId":"getBonusCollection","tags":["Bonus"],"responses":{"200":{"description":"Bonus collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Bonus-bonus.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Bonus-bonus.read"}}}}}},"summary":"List of Bonuses","description":"Retrieves the collection of Bonus resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"referral.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"referral.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"bonusType","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"bonusType[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[createdAt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/bonuses\/generate":{"post":{"operationId":"bonus_generateBonusCollection","tags":["Bonus"],"responses":{"201":{"description":"Bonus resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Bonus-bonus.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Bonus-bonus.read"}}},"links":{"GetBonusItem":{"operationId":"getBonusItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/bonuses\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Generate Bonus","description":"Creates a Bonus resource.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"userId":{"type":"integer"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/bonuses\/{id}":{"get":{"operationId":"getBonusItem","tags":["Bonus"],"responses":{"200":{"description":"Bonus resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Bonus-bonus.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Bonus-bonus.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Bonus resource.","description":"Retrieves a Bonus resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/case-number":{"get":{"operationId":"api_get_case_numberCaseNumberCollection","tags":["CaseNumber"],"responses":{"200":{"description":"CaseNumber collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CaseNumber"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CaseNumber"}}}}}},"summary":"Get caseNumbers.","description":"Retrieves the collection of CaseNumber resources.","parameters":[],"deprecated":false},"parameters":[]},"\/api\/case-number\/student":{"get":{"operationId":"api_get_case_number_studentCaseNumberCollection","tags":["CaseNumber"],"responses":{"200":{"description":"CaseNumber collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CaseNumber"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CaseNumber"}}}}}},"summary":"Get caseNumbers By Student.","description":"Retrieves the collection of CaseNumber resources.","parameters":[{"name":"id","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"number"},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/contract_docs":{"get":{"operationId":"getContractDocCollection","tags":["ContractDoc"],"responses":{"200":{"description":"ContractDoc collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}}}}}},"summary":"Retrieves the collection of ContractDoc resources.","description":"Retrieves the collection of ContractDoc resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"contract.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"contract.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postContractDocCollection","tags":["ContractDoc"],"responses":{"201":{"description":"ContractDoc resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}}},"links":{"GetContractDocItem":{"operationId":"getContractDocItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/contract_docs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Creates a ContractDoc resource.","description":"Creates a ContractDoc resource.","parameters":[],"requestBody":{"description":"The new ContractDoc resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/contract_docs\/{id}":{"get":{"operationId":"getContractDocItem","tags":["ContractDoc"],"responses":{"200":{"description":"ContractDoc resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a ContractDoc resource.","description":"Retrieves a ContractDoc resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putContractDocItem","tags":["ContractDoc"],"responses":{"200":{"description":"ContractDoc resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}}},"links":{"GetContractDocItem":{"operationId":"getContractDocItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/contract_docs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Replaces the ContractDoc resource.","description":"Replaces the ContractDoc resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated ContractDoc resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ContractDoc-contract_doc.read"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteContractDocItem","tags":["ContractDoc"],"responses":{"204":{"description":"ContractDoc resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the ContractDoc resource.","description":"Removes the ContractDoc resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/contracts":{"get":{"operationId":"getContractCollection","tags":["Contract"],"responses":{"200":{"description":"Contract collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}}}}},"summary":"Retrieves the collection of Contract resources.","description":"Retrieves the collection of Contract resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"student.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"student.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"language","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"language[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"statusDocusign","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"statusDocusign[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"caseNumber","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"contract_createContractCollection","tags":["Contract"],"responses":{"201":{"description":"Contract resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"links":{"GetContractItem":{"operationId":"getContractItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/contracts\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Create Contract","description":"Creates a Contract resource.","parameters":[],"requestBody":{"description":"The new Contract resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/contracts\/notify\/{id}":{"put":{"operationId":"notify_signer_on_contractContractItem","tags":["Contract"],"responses":{"200":{"description":"Contract resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"links":{"GetContractItem":{"operationId":"getContractItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/contracts\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Notify signer on contract","description":"Replaces the Contract resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Contract resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/contracts\/status-docusign\/{id}":{"put":{"operationId":"set_contract_status_docusignContractItem","tags":["Contract"],"responses":{"200":{"description":"Contract resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"links":{"GetContractItem":{"operationId":"getContractItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/contracts\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Set Contract status of Docusign","description":"Replaces the Contract resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Contract resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/contracts\/{id}":{"get":{"operationId":"getContractItem","tags":["Contract"],"responses":{"200":{"description":"Contract resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Contract resource.","description":"Retrieves a Contract resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putContractItem","tags":["Contract"],"responses":{"200":{"description":"Contract resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"links":{"GetContractItem":{"operationId":"getContractItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/contracts\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Replaces the Contract resource.","description":"Replaces the Contract resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Contract resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Contract-contract.read"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteContractItem","tags":["Contract"],"responses":{"204":{"description":"Contract resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the Contract resource.","description":"Removes the Contract resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/dashboard\/general":{"get":{"operationId":"api_get_dashboardDashboardCollection","tags":["Dashboard"],"responses":{"200":{"description":"Dashboard collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Dashboard"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Dashboard"}}}}}},"summary":"Get Dashboard General.","description":"Retrieves the collection of Dashboard resources.","parameters":[],"deprecated":false},"parameters":[]},"\/api\/deductions":{"get":{"operationId":"getDeductionCollection","tags":["Deduction"],"responses":{"200":{"description":"Deduction collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Deduction-deduction.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Deduction-deduction.read"}}}}}},"summary":"Retrieves the collection of Deduction resources.","description":"Retrieves the collection of Deduction resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"payrollBased.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"payrollBased.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"seance.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"seance.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[createdAt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/deductions\/{id}":{"get":{"operationId":"getDeductionItem","tags":["Deduction"],"responses":{"200":{"description":"Deduction resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Deduction-deduction.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Deduction-deduction.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Deduction resource.","description":"Retrieves a Deduction resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/district-simply-list":{"get":{"operationId":"get_simply_listDistrictCollection","tags":["District"],"responses":{"200":{"description":"District collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/District-district.simply.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/District-district.simply.read"}}}}}},"summary":"Districts simply list","description":"Retrieves the collection of District resources.","parameters":[{"name":"name","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"name[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"address","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"address[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"contact","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"contact[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"email","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"email[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"phone","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"phone[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"info","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"info[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[name]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[createdAt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/district_docs":{"get":{"operationId":"getDistrictDocCollection","tags":["DistrictDoc"],"responses":{"200":{"description":"DistrictDoc collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DistrictDoc-district_doc.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DistrictDoc-district_doc.read"}}}}}},"summary":"Retrieves the collection of DistrictDoc resources","description":"Retrieves the collection of DistrictDoc resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"district.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"district.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"upload_district_docDistrictDocCollection","tags":["DistrictDoc"],"responses":{"201":{"description":"DistrictDoc resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DistrictDoc-district_doc..upload"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/DistrictDoc-district_doc..upload"}}},"links":{"GetDistrictDocItem":{"operationId":"getDistrictDocItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/district_docs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Creates a DistrictDoc resource.","description":"Creates a DistrictDoc resource.","parameters":[],"requestBody":{"description":"","content":{"multipart\/form-data":{"schema":{"type":"object","properties":{"attachFile":{"type":"string","format":"binary"},"district":{"type":"integer"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/district_docs\/{id}":{"get":{"operationId":"getDistrictDocItem","tags":["DistrictDoc"],"responses":{"200":{"description":"DistrictDoc resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DistrictDoc-district_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/DistrictDoc-district_doc.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a DistrictDoc resource.","description":"Retrieves a DistrictDoc resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"delete":{"operationId":"deleteDistrictDocItem","tags":["DistrictDoc"],"responses":{"204":{"description":"DistrictDoc resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the DistrictDoc resource.","description":"Removes the DistrictDoc resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/districts":{"get":{"operationId":"getDistrictCollection","tags":["District"],"responses":{"200":{"description":"District collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/District-district.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/District-district.read"}}}}}},"summary":"Retrieves the collection of District resources.","description":"Retrieves the collection of District resources.","parameters":[{"name":"name","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"name[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"address","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"address[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"contact","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"contact[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"email","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"email[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"phone","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"phone[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"info","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"info[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[name]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[createdAt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postDistrictCollection","tags":["District"],"responses":{"201":{"description":"District resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}}},"links":{"GetDistrictItem":{"operationId":"getDistrictItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/districts\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Creates a District resource.","description":"Creates a District resource.","parameters":[],"requestBody":{"description":"The new District resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/districts\/{id}":{"get":{"operationId":"getDistrictItem","tags":["District"],"responses":{"200":{"description":"District resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a District resource.","description":"Retrieves a District resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putDistrictItem","tags":["District"],"responses":{"200":{"description":"District resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}}},"links":{"GetDistrictItem":{"operationId":"getDistrictItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/districts\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Replaces the District resource.","description":"Replaces the District resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated District resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/District-district.read"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteDistrictItem","tags":["District"],"responses":{"204":{"description":"District resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the District resource.","description":"Removes the District resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/email_logs":{"get":{"operationId":"getEmailLogCollection","tags":["EmailLog"],"responses":{"200":{"description":"EmailLog collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/EmailLog-Read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/EmailLog-Read"}}}}}},"summary":"Retrieves the collection of EmailLog resources.","description":"Retrieves the collection of EmailLog resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"subject","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"sender","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"receiver","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"lastSendAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"lastSendAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"lastSendAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"lastSendAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[lastSendAt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[subject]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[sender]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[receiver]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/email_logs\/resend":{"put":{"operationId":"resend_emailEmailLogItem","tags":["EmailLog"],"responses":{"200":{"description":"EmailLog resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/EmailLog-Read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/EmailLog-Read"}}},"links":{"GetEmailLogItem":{"operationId":"getEmailLogItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/email_logs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Re-send an email","description":"Replaces the EmailLog resource.","parameters":[{"name":"id","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"number"},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated EmailLog resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/EmailLog-Read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/EmailLog-Read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/email_logs\/{id}":{"get":{"operationId":"getEmailLogItem","tags":["EmailLog"],"responses":{"200":{"description":"EmailLog resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/EmailLog-Read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/EmailLog-Read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a EmailLog resource.","description":"Retrieves a EmailLog resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/enums":{"get":{"operationId":"api_get_enumEnumerableCollection","tags":["Enumerable"],"responses":{"200":{"description":"Enumerable collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Enumerable"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Enumerable"}}}}}},"summary":"Get enums.","description":"Retrieves the collection of Enumerable resources.","parameters":[],"deprecated":false},"parameters":[]},"\/api\/envelope_docusigns":{"get":{"operationId":"getEnvelopeDocusignCollection","tags":["EnvelopeDocusign"],"responses":{"200":{"description":"EnvelopeDocusign collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/EnvelopeDocusign-envelope.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/EnvelopeDocusign-envelope.read"}}}}}},"summary":"Retrieves the collection of EnvelopeDocusign resources.","description":"Retrieves the collection of EnvelopeDocusign resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"invoice.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"invoice.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[createdAt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/envelope_docusigns\/{id}":{"get":{"operationId":"getEnvelopeDocusignItem","tags":["EnvelopeDocusign"],"responses":{"200":{"description":"EnvelopeDocusign resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/EnvelopeDocusign-envelope.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/EnvelopeDocusign-envelope.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a EnvelopeDocusign resource.","description":"Retrieves a EnvelopeDocusign resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/expenses":{"get":{"operationId":"getExpenseCollection","tags":["Expense"],"responses":{"200":{"description":"Expense collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Expense-expense.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Expense-expense.read"}}}}}},"summary":"List of Expense","description":"Retrieves the collection of Expense resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"expenseDate[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"expenseDate[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"expenseDate[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"expenseDate[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[expenseDate]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"expense_createExpenseCollection","tags":["Expense"],"responses":{"201":{"description":"Expense resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}}},"links":{"GetExpenseItem":{"operationId":"getExpenseItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/expenses\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Create Expense","description":"Creates a Expense resource.","parameters":[],"requestBody":{"description":"The new Expense resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/expenses\/{id}":{"get":{"operationId":"getExpenseItem","tags":["Expense"],"responses":{"200":{"description":"Expense resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Expense resource.","description":"Retrieves a Expense resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putExpenseItem","tags":["Expense"],"responses":{"200":{"description":"Expense resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}}},"links":{"GetExpenseItem":{"operationId":"getExpenseItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/expenses\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Update Expense","description":"Replaces the Expense resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Expense resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Expense-expense.read"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteExpenseItem","tags":["Expense"],"responses":{"204":{"description":"Expense resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the Expense resource.","description":"Removes the Expense resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/incentive_bonuses":{"get":{"operationId":"getIncentiveBonusCollection","tags":["IncentiveBonus"],"responses":{"200":{"description":"IncentiveBonus collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/IncentiveBonus-incentive.bonus.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/IncentiveBonus-incentive.bonus.read"}}}}}},"summary":"Retrieves the collection of IncentiveBonus resources.","description":"Retrieves the collection of IncentiveBonus resources.","parameters":[{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"incentive.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"incentive.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"bonus.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"bonus.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/incentive_bonuses\/{id}":{"get":{"operationId":"getIncentiveBonusItem","tags":["IncentiveBonus"],"responses":{"200":{"description":"IncentiveBonus resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/IncentiveBonus-incentive.bonus.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/IncentiveBonus-incentive.bonus.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a IncentiveBonus resource.","description":"Retrieves a IncentiveBonus resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/incentives":{"get":{"operationId":"getIncentiveCollection","tags":["Incentive"],"responses":{"200":{"description":"Incentive collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}}}}}},"summary":"Retrieves the collection of Incentive resources.","description":"Retrieves the collection of Incentive resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.employeeId","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.employeeId[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postIncentiveCollection","tags":["Incentive"],"responses":{"201":{"description":"Incentive resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}}},"links":{"GetIncentiveItem":{"operationId":"getIncentiveItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/incentives\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Create Incentive","description":"Creates a Incentive resource.","parameters":[{"name":"dateFrom","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateTo","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"providers[]","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false,"allowReserved":false},{"name":"note","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false}],"requestBody":{"description":"The new Incentive resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/incentives\/providers":{"get":{"operationId":"get_providersIncentiveCollection","tags":["Incentive"],"responses":{"200":{"description":"Incentive collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}}}}}},"summary":"Get providers that has bonus in selected period","description":"Retrieves the collection of Incentive resources.","parameters":[{"name":"dateFrom","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateTo","in":"query","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"incentiveDate[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodStart[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"periodEnd[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.employeeId","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.employeeId[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/incentives\/{id}":{"get":{"operationId":"getIncentiveItem","tags":["Incentive"],"responses":{"200":{"description":"Incentive resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Incentive-incentive.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Incentive resource.","description":"Retrieves a Incentive resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"delete":{"operationId":"deleteIncentiveItem","tags":["Incentive"],"responses":{"204":{"description":"Incentive resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the Incentive resource.","description":"Removes the Incentive resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/internals":{"get":{"operationId":"getInternalCollection","tags":["Internal"],"responses":{"200":{"description":"Internal collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Internal-internal.read"}}},"multipart\/form-data":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Internal-internal.read"}}}}}},"summary":"List of Internal","description":"Retrieves the collection of Internal resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"provider.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"provider.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"internalDate[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"internalDate[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"internalDate[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"internalDate[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[internalDate]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"internal_createInternalCollection","tags":["Internal"],"responses":{"201":{"description":"Internal resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}}},"links":{"GetInternalItem":{"operationId":"getInternalItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/internals\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Create Internal","description":"Creates a Internal resource.","parameters":[],"requestBody":{"description":"The new Internal resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/internals\/{id}":{"get":{"operationId":"getInternalItem","tags":["Internal"],"responses":{"200":{"description":"Internal resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Internal resource.","description":"Retrieves a Internal resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putInternalItem","tags":["Internal"],"responses":{"200":{"description":"Internal resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}}},"links":{"GetInternalItem":{"operationId":"getInternalItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/internals\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Update Internal","description":"Replaces the Internal resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Internal resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Internal-internal.read"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteInternalItem","tags":["Internal"],"responses":{"204":{"description":"Internal resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the Internal resource.","description":"Removes the Internal resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/invoice-docs\/approve\/{id}":{"put":{"operationId":"put_approveInvoiceDocItem","tags":["InvoiceDoc"],"responses":{"200":{"description":"InvoiceDoc resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/InvoiceDoc-invoice_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/InvoiceDoc-invoice_doc.read"}}},"links":{"GetInvoiceDocItem":{"operationId":"getInvoiceDocItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/invoice_docs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Invoice Doc approving","description":"Replaces the InvoiceDoc resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated InvoiceDoc resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/InvoiceDoc-invoice_doc.read"}},"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Invo
[...]
